#include "dummy_ih.h"

#include <afxwin.h>

namespace roy {

    namespace ih {

        dummy_ih::dummy_ih(void)
        {
            _id = "dummy_ih";
            _block = false;
        }

        dummy_ih::dummy_ih(const std::string& id, bool block)
        {
            _id = id;
            _block = block;
        }

        void dummy_ih::OnEntering(void)
        {
            printf("%s: OnEntering\n", _id.c_str());
        }

        void dummy_ih::OnLeaving(void)
        {
            printf("%s: OnLeaving\n", _id.c_str());
        }

        bool dummy_ih::OnLButtonDown(UINT nFlags, CPoint point)
        {
            printf("%s: OnLButtonDown\n", _id.c_str());

            return _block;
        }

        bool dummy_ih::OnLButtonUp(UINT nFlags, CPoint point)
        {
            printf("%s: OnLButtonUp\n", _id.c_str());

            return _block;
        }

        bool dummy_ih::OnLButtonDblClk(UINT nFlags, CPoint point)
        {
            printf("%s: OnLButtonDblClk\n", _id.c_str());

            return _block;
        }

        bool dummy_ih::OnRButtonDown(UINT nFlags, CPoint point)
        {
            printf("%s: OnRButtonDown\n", _id.c_str());

            return _block;
        }

        bool dummy_ih::OnRButtonUp(UINT nFlags, CPoint point)
        {
            printf("%s: OnRButtonUp\n", _id.c_str());

            return _block;
        }

        bool dummy_ih::OnRButtonDblClk(UINT nFlags, CPoint point)
        {
            printf("%s: OnRButtonDblClk\n", _id.c_str());

            return _block;
        }

        bool dummy_ih::OnMButtonDown(UINT nFlags, CPoint point)
        {
            printf("%s: OnMButtonDown\n", _id.c_str());

            return _block;
        }

        bool dummy_ih::OnMButtonUp(UINT nFlags, CPoint point)
        {
            printf("%s: OnMButtonUp\n", _id.c_str());

            return _block;
        }

        bool dummy_ih::OnMButtonDblClk(UINT nFlags, CPoint point)
        {
            printf("%s: OnMButtonDblClk\n", _id.c_str());

            return _block;
        }

        bool dummy_ih::OnMouseWheel(UINT nFlags, short zDelta, CPoint point)
        {
            printf("%s: OnMouseWheel\n", _id.c_str());

            return _block;
        }

        bool dummy_ih::OnMouseMove(UINT nFlags, CPoint point)
        {
            printf("%s: OnMouseMove\n", _id.c_str());

            return _block;
        }

        bool dummy_ih::OnKeyDown(UINT nChar, UINT nRepCnt, UINT nFlags)
        {
            printf("%s: OnKeyDown\n", _id.c_str());

            return _block;
        }

        bool dummy_ih::OnKeyUp(UINT nChar, UINT nRepCnt, UINT nFlags)
        {
            printf("%s: OnKeyUp\n", _id.c_str());

            return _block;
        }

    }

}

